| Home | Libraries | People | FAQ | More

## Macro BOOST_MPI_HAS_NOARG_INITIALIZATION

BOOST_MPI_HAS_NOARG_INITIALIZATION — Determine if the MPI implementation has supports initialization without command-line arguments.

## Synopsis

    // In header: <boost/mpi/config.hpp>

    BOOST_MPI_HAS_NOARG_INITIALIZATION

## Description

This macro will be defined when the underlying implementation supports initialization of MPI without passing along command-line arguments, e.g., `MPI_Init(NULL, NULL)`. When defined, the `environment` class will provide a default constructor. This macro is always defined for MPI-2 implementations.